Loading...
Searching...
No Matches
gtsam::internal::ManifoldTraits< Class > Struct Template Reference

## Detailed Description

template<class Class>
struct gtsam::internal::ManifoldTraits< Class >

A helper that implements the traits interface for GTSAM manifolds.

To use this for your class type, define: template<> struct traits<Class> : public internal::ManifoldTraits<Class> { };

Inheritance diagram for gtsam::internal::ManifoldTraits< Class >:

## Public Member Functions

| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< Class >))

## Static Public Member Functions

static TangentVector | Local (const Class &origin, const Class &other)
static Class | Retract (const Class &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Class, Class::dimension >
static int | GetDimension (const Class &)

## Public Types

enum | { dimension = Class::dimension }
typedef Class | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/Manifold.h